Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Interface CertPathBuilderResult

All Superinterfaces:
  Cloneable

All Known Implementing Classes:
  PKIXCertPathBuilderResult

public interface CertPathBuilderResult
extends Cloneable

A specification of the result of a certification path builder algorithm. All results returned by the `CertPathBuilder.build` method must implement this interface.

At a minimum, a `CertPathBuilderResult` contains the `CertPath` built by the `CertPathBuilder` instance. Implementations of this interface may add methods to return implementation or algorithm specific information, such as debugging information or certification path validation results.

Concurrent Access

Unless otherwise specified, the methods defined in this interface are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

Since:
  1.4
See Also:
  `CertPathBuilder`

Method Summary
`Object` | `clone()` Makes a copy of this `CertPathBuilderResult`.
`CertPath` | `getCertPath()` Returns the built certification path.

Method Detail

### getCertPath

    public CertPath getCertPath()

  Returns the built certification path.

  Returns:
    the certification path (never `null`)

### clone

    public Object clone()

  Makes a copy of this `CertPathBuilderResult`. Changes to the copy will not affect the original and vice versa.

  Overrides:
    `clone` in class `Object`
  Returns:
    a copy of this `CertPathBuilderResult`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.